/*
 * kding.cpp
 *
 * Copyright (c) 2005 Michael Rex <me@rexi.org>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#include "kding.h"
#include "kdingsystray.h"

#include <kcmdlineargs.h>
#include <kdebug.h>

#include <qstring.h>

KDing::KDing()
    : KUniqueApplication()
{
    trans = new Translator();
}

KDing::~KDing()
{
    delete trans;
}

int KDing::newInstance()
{
    KUniqueApplication::newInstance();
    
    kdDebug() << "newInstance" << endl;
    
    // handle command line arguments
    KCmdLineArgs *args = KCmdLineArgs::parsedArgs();
    
    QString translate = args->getOption("translate");
    if(translate != 0)
        dynamic_cast<KDing*>(kapp)->translator()->translate(translate);
        
    args->clear();

    // exit value for the calling process
    return 0;
}

Translator* KDing::translator() const
{
    return trans;
}
