/*
 * translatedialog.cpp
 *
 * Copyright (c) 2005 Michael Rex <me@rexi.org>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#include "translatedialog.h"
#include "kding.h"

#include <kcombobox.h>
#include <kcompletion.h>
#include <kglobal.h>

#include <qstring.h>


#define ENTRY_RECENT "Recent"
#define GROUP_GENERAL "General"

TranslateDialog::TranslateDialog(QWidget* parent, const char* name)
    : TranslateDialogBase(parent, name)
{
    setIcon(kapp->miniIcon());
    
    // fill the combobox with the recently used terms
    cfg = KGlobal::config();
    cfg->setGroup(GROUP_GENERAL);
    list = cfg->readListEntry(ENTRY_RECENT);
    comboText->insertStringList(list);
    comboText->clearEdit();
    
    KCompletion* comp = comboText->completionObject();
    comp->insertItems(list);
}

void TranslateDialog::translateClicked()
{
    QString text = comboText->currentText();
    if(!text.isEmpty())
    {
        dynamic_cast<KDing*>(kapp)->translator()->translate(text);
        list.remove(text);
        list.prepend(text);
        cfg->writeEntry(ENTRY_RECENT, list);
    }
    this->close();
}

void TranslateDialog::clearClicked()
{
    list.clear();
    cfg->writeEntry(ENTRY_RECENT, list);
    comboText->clear();
}
