/*
 * translator.cpp
 *
 * Copyright (c) 2005 Michael Rex <me@rexi.org>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#include "translator.h"

Translator::Translator(QObject* parent, const char* name)
    : QObject(parent, name)
{
}

Translator::~Translator()
{
}

void Translator::translate(const QString& text) const
{
    KProcess* proc = new KProcess();
    connect(proc, SIGNAL(processExited(KProcess*)), this, SLOT(dingExited(KProcess*)));
    
    *proc << "ding";
    *proc << "--remote-new";
    *proc << text;
    
    proc->start(KProcess::NotifyOnExit);
}

void Translator::dingExited(KProcess* proc) const
{
    delete proc;
}
